Retrieve the bank accounts.
curl --request GET \
--url https://api.example.com/api/banking/accountsimport requests
url = "https://api.example.com/api/banking/accounts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/banking/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/banking/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/banking/accounts"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/banking/accounts")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/banking/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": 1,
"name": "Cash Account",
"slug": "cash-account",
"code": "1001",
"accountType": "bank",
"parentAccountId": null,
"currencyCode": "USD",
"active": true,
"bankBalance": 5000,
"bankBalanceFormatted": "$5,000.00",
"lastFeedsUpdatedAt": "2024-03-20T10:30:00Z",
"lastFeedsUpdatedAtFormatted": "Mar 20, 2024 10:30 AM",
"lastFeedsUpdatedFromNow": "2 hours ago",
"amount": 5000,
"formattedAmount": "$5,000.00",
"plaidItemId": "plaid-item-123",
"plaidAccountId": "plaid-account-456",
"isFeedsActive": true,
"isSyncingOwner": true,
"isFeedsPaused": false,
"accountNormal": "debit",
"accountNormalFormatted": "Debit",
"flattenName": "Assets: Cash Account",
"accountLevel": 2,
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:30:00Z"
}
]Bank Accounts
Retrieve the bank accounts.
GET
/
api
/
banking
/
accounts
Retrieve the bank accounts.
curl --request GET \
--url https://api.example.com/api/banking/accountsimport requests
url = "https://api.example.com/api/banking/accounts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/banking/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/banking/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/banking/accounts"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/banking/accounts")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/banking/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": 1,
"name": "Cash Account",
"slug": "cash-account",
"code": "1001",
"accountType": "bank",
"parentAccountId": null,
"currencyCode": "USD",
"active": true,
"bankBalance": 5000,
"bankBalanceFormatted": "$5,000.00",
"lastFeedsUpdatedAt": "2024-03-20T10:30:00Z",
"lastFeedsUpdatedAtFormatted": "Mar 20, 2024 10:30 AM",
"lastFeedsUpdatedFromNow": "2 hours ago",
"amount": 5000,
"formattedAmount": "$5,000.00",
"plaidItemId": "plaid-item-123",
"plaidAccountId": "plaid-account-456",
"isFeedsActive": true,
"isSyncingOwner": true,
"isFeedsPaused": false,
"accountNormal": "debit",
"accountNormalFormatted": "Debit",
"flattenName": "Assets: Cash Account",
"accountLevel": 2,
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:30:00Z"
}
]Query Parameters
Response
200 - application/json
List of bank accounts retrieved successfully.